package com.etacticsinc.k2;

import org.hibernate.SessionFactory;
import org.hibernate.boot.Metadata;
import org.hibernate.boot.MetadataBuilder;
import org.hibernate.boot.MetadataSources;
import org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl;
import org.hibernate.boot.registry.StandardServiceRegistry;
import org.hibernate.boot.registry.StandardServiceRegistryBuilder;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class K2Application {

	public static void main(String[] args) {
		//setup the database layer
		StandardServiceRegistry standardRegistry = 
			new StandardServiceRegistryBuilder().build();

		MetadataSources sources = new MetadataSources(standardRegistry);

		MetadataBuilder metadataBuilder = sources.getMetadataBuilder();
		metadataBuilder.applyImplicitNamingStrategy(ImplicitNamingStrategyJpaCompliantImpl.INSTANCE);
		// metadataBuilder.applyImplicitSchemaName("default_schema");

		Metadata metadata = metadataBuilder.build();

		SessionFactory sessionFactory = metadata.buildSessionFactory();



		SpringApplication.run(K2Application.class, args);
	}

}
